package com.iformall.enums;

/**
 * 短信发送开关
 */
public enum EnumMsgOpen {

    OPEN(0, "open"),
    CLOSE(1, "close"),
    ;

    public static EnumMsgOpen getEnum(Integer code) {
        for (EnumMsgOpen value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMsgOpen(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
